import asyncRequest from "@/api/newEarning"


export const expressColumns = [
  { 
    label: '无地址订单', 
    prop: 'noAddrOrderNum', 
    minWidth: '100px',
    api: asyncRequest.noAddrOrders
  },
  { 
    label: '未发货订单', 
    prop: 'waitSendOrderNum', 
    minWidth: '100px' 
  },
  { 
    label: '未签收订单', 
    minWidth: '100px', 
    children: [
      { label: '有物流信息', prop: 'noSignOrderExpressNum', minWidth: '100px' },
      { label: '无物流信息', prop: 'noSignOrderNoExpressNum', minWidth: '100px' },
      { label: '物流信息异常', prop: 'noSignOrderFailNum', minWidth: '100px' },
      { label: '未签收订单总数', prop: 'noSignOrderNum', minWidth: '120px' },
    ] 
  }
]

export const purchaseOrderColumns = [
  { 
    label: '未对账采购单', 
    children: [
      { label: '通用订单', prop: 'noDzCgdNumComon', minWidth: '100px'  },
      { label: '采购/源头订单', prop: 'noDzCgdNum', minWidth: '100px' },
    ] 
  },
  {
    label: '已对账未付款采购单',
    children: [
      { label: '通用订单', prop: 'dzNoPayCgdNumCom', minWidth: '100px'},
      { label: '采购/源头订单', prop: 'dzNoPayCgdNum', minWidth: '100px' }
    ]
  },
  {
    label: '已对账未回票采购单',
    children: [
      { label: '通用订单', prop: 'dzNoInvCgdNumCom', minWidth: '100px' },
      { label: '采购/源头订单', prop: 'dzNoInvCgdNum', minWidth: '100px' }
    ]
  },
]


export const saleOrderColumns = [
  {
    label: '未回款销售单',
    children: [
      { label: 'toB', prop: 'noPayQrdTobNum', minWidth: '100px' },
      { label: 'toC', prop: 'noPayQrdTocNum', minWidth: '100px' }
    ]
  },
  {
    label: '未开票销售单',
    children: [
      { label: 'toB', prop: 'noInvQrdTobNum', minWidth: '100px' },
      { label: 'toC', prop: 'noInvQrdTocNum', minWidth: '100px' }
    ]
  }
]


export const mapModeToColumns = {
  'express': expressColumns,
  'saleOrder': saleOrderColumns,
  'purchaseOrder': purchaseOrderColumns
}
